All Resources
GET
Get a group
/v3/groups/{id}
GET
Get group contents
/v3/groups/{id}/contents
GET
Get group followers
/v3/groups/{id}/followers
GET
List pending group invitations
/v3/groups/{id}/invitations
GET
Get group invite
/v3/groups/{id}/invite
GET
Get group members
/v3/groups/{id}/members
POST
Create a group
/v3/groups
POST
Add or invite a group member
/v3/groups/{id}/invitations
POST
Create or reuse group invite
/v3/groups/{id}/invite
POST
Join a group
/v3/groups/{id}/members
PUT
Update a group
/v3/groups/{id}
DELETE
Revoke a pending group invitation
/v3/groups/{id}/invitations/{invitation_id}
DELETE
Remove a group member
/v3/groups/{id}/members/{user_id}
DELETE
Delete a group
/v3/groups/{id}
DELETE
Delete group invite
/v3/groups/{id}/invite
DELETE
Leave a group
/v3/groups/{id}/members/me
Returns the group's shareable invite code and public invite URL. Only users who can manage the group may view the reusable invite code.
Authentication required.
Path Params
id
string
required
Resource ID or slug
GET
https://api.are.na/v3/groups/{id}/invite
Shareable invite code for joining a group
id
integer!
Unique identifier for the invite code
type
string!
GroupInvite
code
string!
Invite code required to join the group
url
string (uri)!
Public Are.na URL for accepting the group invite
created_at
string (date-time)!
When the invite code was created
updated_at
string (date-time)!
When the invite code was last updated
_links
Links!
HATEOAS links for navigation and discovery.
self
Link!
A hypermedia link containing the URL of a linked resource.
href
string (uri)!
The URL of the linked resource
[key: string]
Link
A hypermedia link containing the URL of a linked resource.
href
string (uri)!
The URL of the linked resource